Version 6.x.x Source

Table Name: `tabCustomer Group`

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `customer_group_name` | Data | Customer Group Name |
2 | `parent_customer_group` | Link | Parent Customer Group | Customer Group
3 | `is_group` | Select | Has Child Node Only leaf nodes are allowed in transaction |
    Yes
    No
4 | `cb0` | Column Break |  |
5 | `default_price_list` | Link | Default Price List | Price List
6 | `credit_days_based_on` | Select | Credit Days Based On |
    Fixed Days
    Last Day of the Next Month
7 | `credit_days` | Int | Credit Days |
8 | `credit_limit` | Currency | Credit Limit |
9 | `lft` | Int | lft |
10 | `rgt` | Int | rgt |
11 | `old_parent` | Link | old_parent | Customer Group
12 | `default_receivable_account` | Section Break | Default Receivable Account |
13 | `accounts` | Table | Accounts Mention if non-standard receivable account applicable | Party Account

### Controller

#### erpnext.setup.doctype.customer_group.customer_group

### Class CustomerGroup

Inherits from frappe.utils.nestedset.NestedSet

on_update (self)

No docs

validate_name_with_customer (self)

No docs

#### Linked In:

- Customer
- Customer Group
- Delivery Note
- Installation Note
- Maintenance Schedule
- Maintenance Visit
- Opportunity
- Pricing Rule
- Quotation
- Sales Invoice
- Sales Order
- Selling Settings
- Shopping Cart Settings
- Tax Rule
- Warranty Claim